///addLink(from, to)
/**
 * addLink :: TypeConLink -> TypeConLink -> ()
 * 
 * Adds an edge from one type con to another.
 *
 * @param from the source of the edge
 * @param to the target of the edge
 */

var from = argument0;
var to = argument1;

assertInstanceof(from, TypeConLink);
assertInstanceof(to, TypeConLink);

ds_list_add(from.to, to);
ds_set_add(to.from, from);

