///ds_set_choose(set)
/**
 * ds_set_choose :: Set a -> a
 *
 * Returns a random element from the set or `undefined` if the set is empty.
 *
 * @param set the set resource
 * @returns an element of the set or undefined
 */

var set = argument0;
var element = ds_map_find_first(set);

repeat (irandom(ds_map_size(set)-1))
  element = ds_map_find_next(set, element);

return element;

