///ds_set_delete(set, val)
/**
 * ds_set_delete :: Set a -> a -> ()
 *
 * Removes an element from the set. Returns whether the element was present in the set.
 *
 * @param set the set resource
 * @param val the value to remove from the set
 * @returns true if the element was removed, false if it was not present
 */

if (ds_map_exists(argument0, argument1)) {
  ds_map_delete(argument0, argument1);
  return true;
}
else
  return false;
