///setMargin(top, right, bottom, left)
/**
 * setMargin :: Real -> Real -> Real -> Real -> ()
 * 
 * Sets the margins of a scene node.
 *
 * @param top the new top margin
 * @param right the new right margin
 * @param bottom the new bottom margin
 * @param left the new left margin
 */

if (!instanceof(id, SceneNode))
  show_error("Cannot set margins because this instance is not a "+object_get_name(SceneNode), true);

self.marginTop    = argument0;
self.marginRight  = argument1;
self.marginBottom = argument2;
self.marginLeft   = argument3;

