///setPadding(top, right, bottom, left)
/**
 * setPadding :: Real -> Real -> Real -> Real -> ()
 * 
 * Sets the padding of a scene node.
 *
 * @param top the new top padding
 * @param right the new right padding
 * @param bottom the new bottom padding
 * @param left the new left padding
 */

if (!instanceof(id, SceneNode))
  show_error("Cannot set padding because this instance is not a "+object_get_name(SceneNode), true);

self.paddingTop    = argument0;
self.paddingRight  = argument1;
self.paddingBottom = argument2;
self.paddingLeft   = argument3;

