///ds_set_add_all(a, b)
/**
 * ds_set_add_all :: Set a -> Set a -> ()
 *
 * Adds all elements from set `b` to `a`.
 *
 * @param a the set to add elements to
 * @param b the set of elements to add
 */

var a = argument0;
var b = argument1;

for (var el = ds_set_first(b); ds_set_exists(b, el); el = ds_set_next(b, el))
  ds_set_add(a, el);

