///ds_set_first(set)
/**
 * ds_set_first :: Set a -> a
 *
 * Returns the 'first' element of the set for iterating over it.
 * Guarantees all elements will be enumerated with subsequent calls to {@link ds_set_next}.
 *
 * @param set the set resource
 * @returns an element of the set
 */

return ds_map_find_first(argument0);
