///ds_set_is_equal(a, b)
/**
 * ds_set_is_equal :: Set a -> Set a -> Boolean
 *
 * Returns whether sets `a` and `b` are equal.
 *
 * @param a one set
 * @param b another set
 * @returns true if all elements appear in both sets, false otherwise
 */

return (ds_set_is_subset(a, b) && ds_set_is_subset(b, a));

