///ds_set_next(set, val)
/**
 * ds_set_next :: Set a -> a -> a
 *
 * Returns the 'next' element of the set given a current element or `undefined` if the element is {@link ds_set_last}.
 * Guarantees it will return the input value when composed with {@link ds_set_previous}.
 *
 * @param set the set resource
 * @returns an element of the set or undefined
 */

return ds_map_find_next(argument0, argument1);
