///ds_set_previous(set, val)
/**
 * ds_set_previous :: Set a -> a -> a
 *
 * Returns the 'previous' element of the set given a current element or `undefined` if the element is {@link ds_set_first}.
 * Guarantees it will return the input value when composed with {@link ds_set_next}.
 *
 * @param set the set resource
 * @returns an element of the set or undefined
 */

return ds_map_find_previous(argument0, argument1);
